iis 多版本php方法

环境:win server 2012

IIS:8.5

刚开始安装的PHP版本是5.3,新配置程序需要5.3以上,服务器上N个站都用的是5.3版本,加上又不想升级PHP,怕麻烦又折腾怕出问题,所以单独给新程序上个高版本就行。

方法主要是使用PHP Manager:

http://blog.csdn.net/e121697312/article/details/50562197

“PHP Manager for iis7”通用IIS8。

配置后使用check phpinfo()检查配置信息,如果显示PHP信息则一切正常,不必看下面的了。

 

如果出现“php-cgi.exe - FastCGI进程意外退出”

解决方法:

双击PHP目录下的文件php.exe则出现“msvcr110.dll”丢失的提示。
到Microsoft网站下载“Microsoft Visual C++ 2012 Redistributable”软件包安装,注意86及64都安装,安装好后,再双击PHP目录下的文件php.exe,则就不提示“msvcr110.dll”丢失了,一切正常。

再使用check phpinfo()检查配置信息,一切OK。

最后修改:2019 年 06 月 06 日 08 : 22
如果觉得我的文章对你有用,请随意赞赏

发表评论